Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.servlet
Class HashSessionManager.ClassLoadingObjectInputStream

    java.lang.Object
      java.io.InputStream
          java.io.ObjectInputStream
              org.mortbay.jetty.servlet.HashSessionManager.ClassLoadingObjectInputStream

All Implemented Interfaces:
  java.io.Closeable, java.io.DataInput, java.io.ObjectInput, java.io.ObjectStreamConstants

Enclosing class:
  HashSessionManager

    protected class HashSessionManager.ClassLoadingObjectInputStream

extends java.io.ObjectInputStream

Nested Class Summary

Nested classes/interfaces inherited from class java.io.ObjectInputStream
`java.io.ObjectInputStream.GetField`

Field Summary

Fields inherited from interface java.io.ObjectStreamConstants
`baseWireHandle, PROTOCOL_VERSION_1, PROTOCOL_VERSION_2, SC_BLOCK_DATA, SC_ENUM, SC_EXTERNALIZABLE, SC_SERIALIZABLE, SC_WRITE_METHOD, STREAM_MAGIC, STREAM_VERSION, SUBCLASS_IMPLEMENTATION_PERMISSION, SUBSTITUTION_PERMISSION, TC_ARRAY, TC_BASE, TC_BLOCKDATA, TC_BLOCKDATALONG, TC_CLASS, TC_CLASSDESC, TC_ENDBLOCKDATA, TC_ENUM, TC_EXCEPTION, TC_LONGSTRING, TC_MAX, TC_NULL, TC_OBJECT, TC_PROXYCLASSDESC, TC_REFERENCE, TC_RESET, TC_STRING`

Constructor Summary
`HashSessionManager.ClassLoadingObjectInputStream()`
`HashSessionManager.ClassLoadingObjectInputStream(java.io.InputStream in)`

Method Summary
`java.lang.Class` | `resolveClass(java.io.ObjectStreamClass cl)`

Methods inherited from class java.io.ObjectInputStream
`available, close, defaultReadObject, enableResolveObject, read, read, readBoolean, readByte, readChar, readClassDescriptor, readDouble, readFields, readFloat, readFully, readFully, readInt, readLine, readLong, readObject, readObjectOverride, readShort, readStreamHeader, readUnshared, readUnsignedByte, readUnsignedShort, readUTF, registerValidation, resolveObject, resolveProxyClass, skipBytes`

Methods inherited from class java.io.InputStream
`mark, markSupported, read, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.io.ObjectInput
`read, skip`

Constructor Detail

### HashSessionManager.ClassLoadingObjectInputStream

    public HashSessionManager.ClassLoadingObjectInputStream(java.io.InputStream in)
                                                     throws java.io.IOException

Throws:
  `java.io.IOException`

### HashSessionManager.ClassLoadingObjectInputStream

    public HashSessionManager.ClassLoadingObjectInputStream()
                                                     throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### resolveClass

    public java.lang.Class resolveClass(java.io.ObjectStreamClass cl)
                                 throws java.io.IOException,
                                        java.lang.ClassNotFoundException

  Overrides:
    `resolveClass` in class `java.io.ObjectInputStream`
  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.